Package | Class | Use | Tree | Deprecated | Index | Help
| Doclet API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javadoc
Interface PackageDoc

All Superinterfaces:
  Comparable, Doc

public interface PackageDoc
extends Doc

Represents a java package. Provides access to information about the package, the package's comment and tags, and the classes in the package.

Since:
  JDK1.2

Method Summary
`ClassDoc[]` | `allClasses()` Get all included classes and interfaces in the package.
`ClassDoc[]` | `allClasses(boolean filter)` Get all classes and interfaces in the package, filtered to the specified access modifier option.
`ClassDoc[]` | `errors()` Get included Error classes in this package.
`ClassDoc[]` | `exceptions()` Get included Exception classes in this package.
`ClassDoc` | `findClass(String className)` Lookup a class or interface within this package.
`ClassDoc[]` | `interfaces()` Get included Interfaces in this package.
`ClassDoc[]` | `ordinaryClasses()` Get included ordinary classes (that is, exclude exceptions, errors and interfaces) in this package.

Methods inherited from interface com.sun.javadoc.Doc
`commentText, compareTo, firstSentenceTags, getRawCommentText, inlineTags, isClass, isConstructor, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, position, seeTags, setRawCommentText, tags, tags`

Method Detail

### allClasses

    public ClassDoc[] allClasses(boolean filter)

  Get all classes and interfaces in the package, filtered to the specified access modifier option.

  Parameters:
    `filter` - Specifying true filters according to the specified access modifier option. Specifying false includes all classes and interfaces regardless of access modifier option.
  Returns:
    filtered classes and interfaces in this package
  Since:
    1.4

### allClasses

    public ClassDoc[] allClasses()

  Get all included classes and interfaces in the package. Same as allClasses(true).

  Returns:
    all included classes and interfaces in this package.

### ordinaryClasses

    public ClassDoc[] ordinaryClasses()

  Get included ordinary classes (that is, exclude exceptions, errors and interfaces) in this package.

  Returns:
    included ordinary classes in this package.

### exceptions

    public ClassDoc[] exceptions()

  Get included Exception classes in this package.

  Returns:
    included Exceptions in this package.

### errors

    public ClassDoc[] errors()

  Get included Error classes in this package.

  Returns:
    included Errors in this package.

### interfaces

    public ClassDoc[] interfaces()

  Get included Interfaces in this package.

  Returns:
    included Interfaces in this package.

### findClass

    public ClassDoc findClass(String className)

  Lookup a class or interface within this package.

  Returns:
    ClassDoc of found class or interface, or null if not found.

Package | Class | Use | Tree | Deprecated | Index | Help
| Doclet API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2003 Sun Microsystems, Inc. 4150 Network Circle
Santa Clara, California, 95054, U.S.A. All Rights Reserved.